---
title: "xLineTo"
excerpt: "Draw a line parallel to the X axis, that ends at the given X."
layout: manual
---

Draw a line parallel to the X axis, that ends at the given X.

E.g. if the previous line ended at (1, 1), then xLineTo(4) draws a line from (1, 1) to (4, 1)

```js
xLineTo(to: number, sketch: Sketch, tag?: TagDeclarator) -> Sketch
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `to` | `number` |  | Yes |
| `sketch` | [`Sketch`](/docs/kcl/types/Sketch) | A sketch is a collection of paths. | Yes |
| `tag` | [`TagDeclarator`](/docs/kcl/types#tag-declaration) |  | No |

### Returns

[`Sketch`](/docs/kcl/types/Sketch) - A sketch is a collection of paths.


### Examples

```js
exampleSketch = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> xLineTo(15, %)
  |> angledLine({ angle = 80, length = 15 }, %)
  |> line(end = [8, -10])
  |> xLineTo(40, %)
  |> angledLine({ angle = 135, length = 30 }, %)
  |> xLineTo(10, %)
  |> close()

example = extrude(exampleSketch, length = 10)
```

![Rendered example of xLineTo 0](data:image/png;base64,[encoded data, 73888 characters])


